monop(1)

NAME
monop, monop2 - Mono Class Outline Viewer

SYNOPSIS
monop [-r:assembly] [--search] class

OPTIONS

-r:assembly
    Specifies the assembly to use for looking up the type

--search, -s, -k
    Searches through all known assemblies for types containing `class'.

--refs
    Prints a list of the referenced assemblies for an assembly. Requires an assembly to be specified with -r:assembly.

--filter-obsolete, -f
    Do not show obsolete types and members.

--declared-only, -d
    Only show members declared in the type.

--private, -p
    Show private members.

--runtime-version
    Print runtime version.

DESCRIPTION
Monop is a tool that allows you to view the outline of a class. You can see the signature of each member of the class. Use monop to explore 1.0 assemblies, use monop2 to explore 2.0 assemblies.

The tool takes one option, the class to view. You must specify the full name of the class, including namespace.

For generic classes, you must specify the generic arguments, for example:
monop2 'System.Collections.Generic.List`1'
The above is the string representation for the List<T> in System.Collections.Generic

If you are unsure of the full name of the class, you can use the `--search' option to search through all known assemblies.

MAILING LISTS
Visit http://lists.ximian.com/mailman/listinfo/mono-devel-list for details.

WEB SITE
Visit http://www.mono-project.com for details